"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransactionBase = exports.BalanceDecreasingSummaryStatus = exports.PaymentSummaryStatus = exports.PaymentNonexistenceSummaryStatus = void 0;
var PaymentNonexistenceSummaryStatus;
(function (PaymentNonexistenceSummaryStatus) {
    PaymentNonexistenceSummaryStatus["Success"] = "success";
    PaymentNonexistenceSummaryStatus["Coinbase"] = "coinbase";
    PaymentNonexistenceSummaryStatus["NotNativePayment"] = "notNativePayment";
    PaymentNonexistenceSummaryStatus["UnexpectedNumberOfParticipants"] = "unexpectedNumberOfParticipants";
    PaymentNonexistenceSummaryStatus["NoReceiveAmountAddress"] = "noReceiveAmountAddress";
    PaymentNonexistenceSummaryStatus["NoIntendedReceiveAmountAddress"] = "noIntendedReceiveAmountAddress";
    PaymentNonexistenceSummaryStatus["InvalidOutUtxo"] = "invalidOutUtxo";
})(PaymentNonexistenceSummaryStatus = exports.PaymentNonexistenceSummaryStatus || (exports.PaymentNonexistenceSummaryStatus = {}));
var PaymentSummaryStatus;
(function (PaymentSummaryStatus) {
    PaymentSummaryStatus["Success"] = "success";
    PaymentSummaryStatus["Coinbase"] = "coinbase";
    PaymentSummaryStatus["NotNativePayment"] = "notNativePayment";
    PaymentSummaryStatus["UnexpectedNumberOfParticipants"] = "unexpectedNumberOfParticipants";
    PaymentSummaryStatus["InvalidInUtxo"] = "invalidInUtxo";
    PaymentSummaryStatus["NoSpentAmountAddress"] = "noSpentAmountAddress";
    PaymentSummaryStatus["NoIntendedSpentAmountAddress"] = "noIntendedSpentAmountAddress";
    PaymentSummaryStatus["InvalidOutUtxo"] = "invalidOutUtxo";
    PaymentSummaryStatus["NoReceiveAmountAddress"] = "noReceiveAmountAddress";
    PaymentSummaryStatus["NoIntendedReceiveAmountAddress"] = "noIntendedReceiveAmountAddress";
    // NoTransactionGetterProvided = "NoTransactionGetterProvided",
})(PaymentSummaryStatus = exports.PaymentSummaryStatus || (exports.PaymentSummaryStatus = {}));
var BalanceDecreasingSummaryStatus;
(function (BalanceDecreasingSummaryStatus) {
    BalanceDecreasingSummaryStatus["Success"] = "success";
    BalanceDecreasingSummaryStatus["Coinbase"] = "coinbase";
    BalanceDecreasingSummaryStatus["InvalidInUtxo"] = "invalidInUtxo";
    BalanceDecreasingSummaryStatus["InvalidTransactionDataObject"] = "InvalidTransactionDataObject";
    BalanceDecreasingSummaryStatus["NoSourceAddress"] = "noSourceAddress";
    BalanceDecreasingSummaryStatus["NotValidSourceAddressFormat"] = "notValidSourceAddressFormat";
})(BalanceDecreasingSummaryStatus = exports.BalanceDecreasingSummaryStatus || (exports.BalanceDecreasingSummaryStatus = {}));
class TransactionBase {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    constructor(data) {
        this.privateData = data;
    }
    /**
     * Exposing the private data for the derived classes (dev only/python like privatization)
     */
    get _data() {
        return this.privateData;
    }
}
exports.TransactionBase = TransactionBase;
//# sourceMappingURL=TransactionBase.js.map