"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const src_1 = require("../../src");
const testUtils_1 = require("../testUtils");
const BtcMccConnection = {
    apiTokenKey: process.env.FLARE_API_PORTAL_KEY || "",
    url: process.env.BTC_URL || "",
    username: process.env.BTC_USERNAME || "",
    password: process.env.BTC_PASSWORD || "",
    rateLimitOptions: {
        timeoutMs: 15000,
    },
};
describe(`Block Header BTC base,(${(0, testUtils_1.getTestFile)(__filename)})`, function () {
    let MccClient;
    before(async function () {
        MccClient = new src_1.MCC.BTC(BtcMccConnection);
    });
    it("Should get block header from number ", async function () {
        const blockHeader = await MccClient.getBlockHeader(819120);
        (0, chai_1.expect)(blockHeader).to.not.eq(undefined);
    });
    it("Should get block header from hash ", async function () {
        const blockHeader = await MccClient.getBlockHeader("00000000000000000000eefe8d88fc63c6154c495cfa4f319e0c746f81597af0");
        (0, chai_1.expect)(blockHeader).to.not.eq(undefined);
    });
});
describe(`Block Header BTC getters ,(${(0, testUtils_1.getTestFile)(__filename)})`, function () {
    let MccClient;
    let blockHeader;
    before(async function () {
        MccClient = new src_1.MCC.BTC(BtcMccConnection);
        blockHeader = await MccClient.getBlockHeader(819120);
    });
    it("Should test blockHash getter ", async function () {
        (0, chai_1.expect)(blockHeader.blockHash).to.eq("00000000000000000000eefe8d88fc63c6154c495cfa4f319e0c746f81597af0");
    });
    it("Should test stdBlockHash getter ", async function () {
        (0, chai_1.expect)(blockHeader.stdBlockHash).to.eq("00000000000000000000eefe8d88fc63c6154c495cfa4f319e0c746f81597af0");
    });
    it("Should test number getter ", async function () {
        (0, chai_1.expect)(blockHeader.number).to.eq(819120);
    });
    it("Should test timestamp (mediantime) getter ", async function () {
        (0, chai_1.expect)(blockHeader.unixTimestamp).to.eq(1701344823);
    });
    it("Should test blockHash getter ", async function () {
        (0, chai_1.expect)(blockHeader.transactionCount).to.eq(3211);
    });
    it("Should test previousBlockHash getter ", async function () {
        (0, chai_1.expect)(blockHeader.previousBlockHash).to.eq("000000000000000000036a4cc18f3bb1416fe5b5cf1dc77ffc3e0dab1cdb771a");
    });
    it("Should test stdPreviousBlockHash getter ", async function () {
        (0, chai_1.expect)(blockHeader.stdPreviousBlockHash).to.eq("000000000000000000036a4cc18f3bb1416fe5b5cf1dc77ffc3e0dab1cdb771a");
    });
});
//# sourceMappingURL=blockHeader.test.js.map