"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const src_1 = require("../../src");
const testUtils_1 = require("../testUtils");
const BtcMccConnection = {
    url: process.env.BTC_URL || "",
    username: process.env.BTC_USERNAME || "",
    password: process.env.BTC_PASSWORD || "",
    apiTokenKey: process.env.FLARE_API_PORTAL_KEY || "",
};
describe(`Chain tips test (${(0, testUtils_1.getTestFile)(__filename)})`, function () {
    let MccClient;
    before(async function () {
        MccClient = new src_1.MCC.BTC(BtcMccConnection);
    });
    it.skip("Should get only latest tips ", async function () {
        // TODO: node does not keep track of orphan blocks when restating
        const tips = await (0, src_1.retry)("", () => MccClient.getBlockTips(730698));
        (0, chai_1.expect)(tips.length).to.greaterThanOrEqual(2);
    });
    it("Should get tips and all blocks to certain height ", async function () {
        const tips = await (0, src_1.retry)("", () => MccClient.getTopLiteBlocks(5));
        // Most of the time eq
        (0, chai_1.expect)(tips.length).to.greaterThanOrEqual(5);
    });
});
//# sourceMappingURL=tips.test.js.map